test/sun/tools/jstatd/jstatdExternalRegistry.sh
Index Unified diffs Context diffs Sdiffs Wdiffs Patch New Old Previous File Next File jdk-tl Sdiff test/sun/tools/jstatd

test/sun/tools/jstatd/jstatdExternalRegistry.sh

Print this page


   1 #
   2 # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
   3 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
   4 #
   5 # This code is free software; you can redistribute it and/or modify it
   6 # under the terms of the GNU General Public License version 2 only, as
   7 # published by the Free Software Foundation.
   8 #
   9 # This code is distributed in the hope that it will be useful, but WITHOUT
  10 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  11 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  12 # version 2 for more details (a copy is included in the LICENSE file that
  13 # accompanied this code).
  14 #
  15 # You should have received a copy of the GNU General Public License version
  16 # 2 along with this work; if not, write to the Free Software Foundation,
  17 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  18 #
  19 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  20 # or visit www.oracle.com if you need additional information or have any
  21 # questions.
  22 #


  36   kill_proc ${JSTATD_PID}
  37 }
  38 
  39 trap 'cleanup' 0 HUP INT QUIT TERM
  40 
  41 RMIREGISTRY="${TESTJAVA}/bin/rmiregistry"
  42 JSTATD="${TESTJAVA}/bin/jstatd"
  43 JPS="${TESTJAVA}/bin/jps"
  44 JSTAT="${TESTJAVA}/bin/jstat"
  45 
  46 HOSTNAME=`uname -n`
  47 PORT=`freePort`
  48 if [ "${PORT}" = "0" ] ; then
  49   echo "Cannot get free port"
  50   exit 1
  51 fi
  52 
  53 RMIREGISTRY_OUT="rmiregistry_$$.out"
  54 JSTATD_OUT="jstatd_$$.out"
  55 
  56 ${RMIREGISTRY} ${PORT} > ${RMIREGISTRY_OUT} 2>&1 &
  57 RMIREGISTRY_PID=$!
  58 
  59 echo "rmiregistry started on port ${PORT} as pid ${RMIREGISTRY_PID}"
  60 sleep 3
  61 
  62 ${JSTATD} -J-Djava.security.policy=${TESTSRC}/all.policy -p ${PORT} > ${JSTATD_OUT} 2>&1 &
  63 JSTATD_PID=$!
  64 
  65 echo "jstatd started as pid ${JSTATD_PID}"
  66 sleep 3
  67 
  68 ${JPS} ${HOSTNAME}:${PORT} 2>&1 | awk -f ${TESTSRC}/jpsOutput1.awk
  69 
  70 if [ $? -ne 0 ]
  71 then
  72     echo "Output of jps differs from expected output. Failed."
  73     exit 1
  74 fi
  75 
  76 ${JSTAT} -gcutil ${JSTATD_PID}@${HOSTNAME}:${PORT} 250 5 2>&1 | awk -f ${TESTSRC}/jstatGcutilOutput1.awk
  77 RC=$?
  78 
  79 if [ ${RC} -ne 0 ]
  80 then
  81     echo "jstat output differs from expected output"
  82 fi
  83 
  84 if [ -s ${JSTATD_OUT} ]
  85 then
  86     echo "jstatd generated unexpected output: see ${JSTATD_OUT}"
  87     RC=1
  88 fi
  89 
  90 if [ -s ${RMIREGISTRY_OUT} ]
  91 then
  92     echo "rmiregistry generated unexpected output: see ${RMIREGISTRY_OUT}"
  93     RC=1
  94 fi
  95 
  96 exit ${RC}
   1 #
   2 # Copyright (c) 2004, 2011, Oracle and/or its affiliates. All rights reserved.
   3 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
   4 #
   5 # This code is free software; you can redistribute it and/or modify it
   6 # under the terms of the GNU General Public License version 2 only, as
   7 # published by the Free Software Foundation.
   8 #
   9 # This code is distributed in the hope that it will be useful, but WITHOUT
  10 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  11 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  12 # version 2 for more details (a copy is included in the LICENSE file that
  13 # accompanied this code).
  14 #
  15 # You should have received a copy of the GNU General Public License version
  16 # 2 along with this work; if not, write to the Free Software Foundation,
  17 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  18 #
  19 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  20 # or visit www.oracle.com if you need additional information or have any
  21 # questions.
  22 #


  36   kill_proc ${JSTATD_PID}
  37 }
  38 
  39 trap 'cleanup' 0 HUP INT QUIT TERM
  40 
  41 RMIREGISTRY="${TESTJAVA}/bin/rmiregistry"
  42 JSTATD="${TESTJAVA}/bin/jstatd"
  43 JPS="${TESTJAVA}/bin/jps"
  44 JSTAT="${TESTJAVA}/bin/jstat"
  45 
  46 HOSTNAME=`uname -n`
  47 PORT=`freePort`
  48 if [ "${PORT}" = "0" ] ; then
  49   echo "Cannot get free port"
  50   exit 1
  51 fi
  52 
  53 RMIREGISTRY_OUT="rmiregistry_$$.out"
  54 JSTATD_OUT="jstatd_$$.out"
  55 
  56 ${RMIREGISTRY} -J-XX:+UsePerfData ${PORT} > ${RMIREGISTRY_OUT} 2>&1 &
  57 RMIREGISTRY_PID=$!
  58 
  59 echo "rmiregistry started on port ${PORT} as pid ${RMIREGISTRY_PID}"
  60 sleep 3
  61 
  62 ${JSTATD} -J-XX:+UsePerfData -J-Djava.security.policy=${TESTSRC}/all.policy -p ${PORT} > ${JSTATD_OUT} 2>&1 &
  63 JSTATD_PID=$!
  64 
  65 echo "jstatd started as pid ${JSTATD_PID}"
  66 sleep 3
  67 
  68 ${JPS} -J-XX:+UsePerfData ${HOSTNAME}:${PORT} 2>&1 | awk -f ${TESTSRC}/jpsOutput1.awk
  69 
  70 if [ $? -ne 0 ]
  71 then
  72     echo "Output of jps differs from expected output. Failed."
  73     exit 1
  74 fi
  75 
  76 ${JSTAT} -J-XX:+UsePerfData -gcutil ${JSTATD_PID}@${HOSTNAME}:${PORT} 250 5 2>&1 | awk -f ${TESTSRC}/jstatGcutilOutput1.awk
  77 RC=$?
  78 
  79 if [ ${RC} -ne 0 ]
  80 then
  81     echo "jstat output differs from expected output"
  82 fi
  83 
  84 if [ -s ${JSTATD_OUT} ]
  85 then
  86     echo "jstatd generated unexpected output: see ${JSTATD_OUT}"
  87     RC=1
  88 fi
  89 
  90 if [ -s ${RMIREGISTRY_OUT} ]
  91 then
  92     echo "rmiregistry generated unexpected output: see ${RMIREGISTRY_OUT}"
  93     RC=1
  94 fi
  95 
  96 exit ${RC}
test/sun/tools/jstatd/jstatdExternalRegistry.sh
Index Unified diffs Context diffs Sdiffs Wdiffs Patch New Old Previous File Next File